LDD(1)

NOM
ldd - Affiche les bibliothèques partagées nécessaires

SYNOPSIS
ldd [OPTION]... FICHIER...

DESCRIPTION
ldd Affiche la liste des bibliothèques partagées nécessaires pour chaque programme ou bibliothèque passés sur la ligne de commande.

OPTIONS

--version
    Afficher le numéro de version de ldd.

-v --verbose
    Afficher toutes les informations, y compris les versions des symboles.

-u --unused
    Afficher les dépendances directes inutilisées. (Depuis la glibc 2.3.4.)

-d --data-relocs
    Réaliser les déplacements et indiquer les objets manquants (ELF seulement).

-r --function-relocs
    Réaliser les déplacements pour les objets donnés et les fonctions, et indiquer les objets ou fonctions manquants (ELF seulement).

--help
    Aide.

NOTES
La version standard de ldd est livrée avec la glibc2. La libc5 fournissait une ancienne version, toujours présente sur certains systèmes. Les options longues ne sont pas supportées par la version de la libc5. En revanche, celle de la glibc2 ne supporte pas -V et a seulement l'équivalent --version.

La version libc5 utilise le nom de la bibliothèque donnée sur la ligne de commande tel quel s'il contient un « / » ; sinon elle cherche la bibliothèque aux emplacements standards. Pour l'utiliser sur une bibliothèque dans le répertoire courant, préfixez son nom avec « ./ ».

BOGUES
ldd ne fonctionne pas avec les bibliothèques partagées a.out.

ldd ne fonctionne pas avec certains programmes a.out très anciens qui ont été compilés avant que le support de ldd ne soit ajouté dans le compilateur. Si vous utilisez ldd sur l'un de ces programmes, il sera lancé avec argc = 0 et les résultats seront imprévisibles.

VOIR AUSSI
ld.so(8), ldconfig(8)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 25 juillet 2003 et révisée le 22 décembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 ldd ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.